bitmap_release_region
Prev | Bitmap Operations | Next

## Name

bitmap_release_region — release allocated bitmap region

## Synopsis

`void bitmap_release_region (` | unsigned long * | bitmap,
| int | pos,
| int | order`)`;

## Arguments

`bitmap`

  array of unsigned longs corresponding to the bitmap

`pos`

  beginning of bit region to release

`order`

  region size (log base 2 of number of bits) to release

## Description

This is the complement to `__bitmap_find_free_region` and releases the found region (by clearing it in the bitmap).

No return value.

Prev | Up | Next
bitmap_find_free_region | Home | bitmap_allocate_region